Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Arfrever Frehtes Taifersar Arahesis (arfrever)" <arfrever@g.o>
Subject: gentoo-x86 commit in dev-python/pychecker: ChangeLog pychecker-0.8.18.ebuild
Date: Fri, 17 Jul 2009 16:38:02 +0000
arfrever    09/07/17 16:38:02

  Modified:             ChangeLog pychecker-0.8.18.ebuild
  Log:
  Fix path in /usr/bin/pychecker (bug #265384).
  (Portage version: 13832-svn/cvs/Linux x86_64)

Revision  Changes    Path
1.40                 dev-python/pychecker/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pychecker/ChangeLog?rev=1.40&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pychecker/ChangeLog?rev=1.40&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pychecker/ChangeLog?r1=1.39&r2=1.40

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pychecker/ChangeLog,v
retrieving revision 1.39
retrieving revision 1.40
diff -u -r1.39 -r1.40
--- ChangeLog	4 Jan 2009 19:46:19 -0000	1.39
+++ ChangeLog	17 Jul 2009 16:38:02 -0000	1.40
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/pychecker
-# Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pychecker/ChangeLog,v 1.39 2009/01/04 19:46:19 patrick Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pychecker/ChangeLog,v 1.40 2009/07/17 16:38:02 arfrever Exp $
+
+  17 Jul 2009; Arfrever Frehtes Taifersar Arahesis <arfrever@g.o>
+  pychecker-0.8.18.ebuild:
+  Fix path in /usr/bin/pychecker (bug #265384).
 
 *pychecker-0.8.18 (04 Jan 2009)
 



1.2                  dev-python/pychecker/pychecker-0.8.18.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pychecker/pychecker-0.8.18.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pychecker/pychecker-0.8.18.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-python/pychecker/pychecker-0.8.18.ebuild?r1=1.1&r2=1.2

Index: pychecker-0.8.18.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/pychecker/pychecker-0.8.18.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pychecker-0.8.18.ebuild	4 Jan 2009 19:46:19 -0000	1.1
+++ pychecker-0.8.18.ebuild	17 Jul 2009 16:38:02 -0000	1.2
@@ -1,36 +1,36 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/pychecker/pychecker-0.8.18.ebuild,v 1.1 2009/01/04 19:46:19 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/pychecker/pychecker-0.8.18.ebuild,v 1.2 2009/07/17 16:38:02 arfrever Exp $
+
+EAPI="2"
 
 inherit distutils eutils
 
 DESCRIPTION="Tool for finding common bugs in python source code"
 SRC_URI="mirror://sourceforge/pychecker/${P}.tar.gz"
 HOMEPAGE="http://pychecker.sourceforge.net/"
+
+LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86"
-LICENSE="BSD"
 IUSE=""
+
 DEPEND="virtual/python"
+RDEPEND="${DEPEND}"
+
 DOCS="pycheckrc"
 
-src_unpack() {
-	distutils_src_unpack
+src_prepare() {
+	distutils_src_prepare
 	epatch "${FILESDIR}"/pychecker-0.8.17-no-data-files.patch
 	epatch "${FILESDIR}"/pychecker-0.8.18-pychecker2.patch
-}
-
-src_install() {
-	distutils_src_install
-	sed -i -e "s|${D}|/|" "${D}/usr/bin/pychecker"
+	sed -e 's:root = self\.distribution\.get_command_obj("install")\.root:&\.rstrip("/"):' -i setup.py || die "sed setup.py failed"
 }
 
 pkg_postinst() {
-	python_version
-	python_mod_optimize /usr/$(get_libdir)/python${PYVER}/site-packages/
+	python_mod_optimize "$(python_get_sitedir)"
 }
 
 pkg_postrm() {
-	python_version
-	python_mod_cleanup /usr/$(get_libdir)/python${PYVER}/site-packages/
+	python_mod_cleanup "$(python_get_sitedir)"
 }





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in media-libs/libogg: libogg-1.0.ebuild libogg-1.1.ebuild libogg-1.1.3-r1.ebuild libogg-1.1.1.ebuild libogg-1.1.2.ebuild Manifest
Next by thread:
gentoo-x86 commit in dev-python/pychecker: ChangeLog pychecker-0.8.18.ebuild
Previous by date:
gentoo-x86 commit in profiles: package.mask
Next by date:
gentoo-x86 commit in app-emacs/flim: flim-1.14.9.ebuild


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.